Subject: Mite control without chemicals

From: [email-masked] (US71NA)
Date: 17 Jun 1996 14:16:53 -0400

Are there any ways that seem to be working to control varroa or trachael
mites without resorting to chemicals.  I heard that perhaps planting
spearmint near the hives will control one or the other.  Has anyone had
any experice with this or other methods.

Second question, what are the most successful chemical treatments and when
are they best applied for bees that are to winter over in northern PA.  I
had no trouble until mites landed about two years ago.

Lee